<?php
defined("BASEPATH") OR exit("No direct script access allowed");

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route["default_controller"] = "welcome";
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route["404_override"] = "errors/page_missing";
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route["translate_uri_dashes"] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. "-" isn"t a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route["default_controller"] = "LoginController";
$route["404_override"] = "";
$route["translate_uri_dashes"] = FALSE;

/* default admin route - url rewriting */
$route["admin"] =	"AdminController";
$route["admin/index"] =	"AdminController/index";
$route["admin/color"] =	"AdminController/theme_color";

$route["login"] =	"LoginController";
$route["login/index"] =	"LoginController/index";
$route["logout"] =	"LoginController/logout";

$route["register"] =	"RegisterController";
$route["register/index"] =	"RegisterController/index";
$route["register/post"] =	"RegisterController/post";
$route["register/verify"] =	"RegisterController/verify";
$route["register/(:any)"] = "RegisterController/edit_admin_info/$1";

$route["profile"] =	"ProfileController";
$route["profile/index"] =	"ProfileController/index";
$route["profile/post"] =	"ProfileController/post";

$route["lock"]	=	"LockController";
$route["lock/index"]	=	"LockController/index";

$route["calendar"]	= 	"CalendarController";
$route["calendar/index"]	=	"CalendarController/index";

$route["inbox-outbox"]	= 	"InboxOutboxController";
$route["inbox-outbox/index"]	=	"InboxOutboxController/index";
$route["inbox-outbox/post"]	=	"InboxOutboxController/post";

$route["image-optimization"]	= 	"ImageOptimizationController";
$route["image-optimization/index"]	=	"ImageOptimizationController/index";

$route["google-map"]	= 	"GoogleMapController";
$route["google-map/index"]	=	"GoogleMapController/index";

$route["gallery"] = "GalleryController";
$route["gallery/index"] = "GalleryController/index";

/* default json url rewriting */
$route["login/json-send-verification"]	=	"LoginController/json_send_verification";
$route["login/verify-admin/(:any)/(:any)"]	=	"LoginController/verify_admin/$1/$2";
$route["login/json-login"]	=	"LoginController/json_login";
$route["login/json-forgot-password"]	=	"LoginController/json_forgot_password";
$route["lock/json-unlock"]	= 	"LockController/json_unlock";
$route["register/json-validate-email-or-contact"] = "RegisterController/json_validate_email_or_contact";
$route["admin/json-PNotifications"] = "AdminController/json_PNotifications";
$route["calendar/json-event"]	=	"CalendarController/json_event";
$route["calendar/json-all-events"]	=	"CalendarController/json_all_events";
$route["calendar/json-view-event"]	=	"CalendarController/json_view_event";
$route["calendar/json-edit-event"]	=	"CalendarController/json_edit_event";
$route["inbox-outbox/json-read-unread-update"]	=	"InboxOutboxController/json_read_unread_update";
$route["gallery/json-delete-file"]	=	"GalleryController/json_delete_file";
/* main admin url rewriting */

$route["logo"]	=	"LogoController";
$route["logo/index"]	=	"LogoController/index";
$route["logo/edit/(:any)"]	=	"LogoController/edit/$1";
$route["logo/post"]	=	"LogoController/post";

$route["banner"]	=	"BannerController";
$route["banner/index"]	=	"BannerController/index";
$route["banner/edit/(:any)"]	=	"BannerController/edit/$1";
$route["banner/post"]	=	"BannerController/post";

$route["page-banner"]	=	"PageBannerController";
$route["page-banner/index"]	=	"PageBannerController/index";
$route["page-banner/edit/(:any)"]	=	"PageBannerController/edit/$1";
$route["page-banner/post"]	=	"PageBannerController/post";

$route["about"]	=	"AboutController";
$route["about/index"]	=	"AboutController/index";
$route["about/edit/(:any)"]	=	"AboutController/edit/$1";
$route["about/post"]	=	"AboutController/post";

$route["service"]	=	"ServiceController";
$route["service/index"]	=	"ServiceController/index";
$route["service/edit/(:any)"]	=	"ServiceController/edit/$1";
$route["service/post"]	=	"ServiceController/post";

$route["blog"]	=	"BlogController";
$route["blog/index"]	=	"BlogController/index";
$route["blog/edit/(:any)"]	=	"BlogController/edit/$1";
$route["blog/post"]	=	"BlogController/post";

$route["contact"]	=	"ContactController";
$route["contact/index"]	=	"ContactController/index";
$route["contact/edit/(:any)"]	=	"ContactController/edit/$1";
$route["contact/post"]	=	"ContactController/post";

$route["comment"]	=	"CommentController";
$route["comment/index"]	=	"CommentController/index";
$route["comment/edit/(:any)"]	=	"CommentController/edit/$1";
$route["comment/post"]	=	"CommentController/post";

$route["achievment"]	=	"AchievmentController";
$route["achievment/index"]	=	"AchievmentController/index";
$route["achievment/edit/(:any)"]	=	"AchievmentController/edit/$1";
$route["achievment/post"]	=	"AchievmentController/post";


$route["testimonial"]	=	"TestimonialController";
$route["testimonial/index"]	=	"TestimonialController/index";
$route["testimonial/edit/(:any)"]	=	"TestimonialController/edit/$1";
$route["testimonial/post"]	=	"TestimonialController/post";

$route["map"]	=	"MapController";
$route["map/index"]	=	"MapController/index";
$route["map/edit/(:any)"]	=	"MapController/edit/$1";
$route["map/post"]	=	"MapController/post";

$route["socailsite"]	=	"SocailsiteController";
$route["socailsite/index"]	=	"SocailsiteController/index";
$route["socailsite/edit/(:any)"]	=	"SocailsiteController/edit/$1";
$route["socailsite/post"]	=	"SocailsiteController/post";

$route["project"]	=	"ProjectController";
$route["project/index"]	=	"ProjectController/index";
$route["project/edit/(:any)"]	=	"ProjectController/edit/$1";
$route["project/post"]	=	"ProjectController/post";

$route["product"]	=	"ProductController";
$route["product/index"]	=	"ProductController/index";
$route["product/edit/(:any)"]	=	"ProductController/edit/$1";
$route["product/post"]	=	"ProductController/post";

$route["news"]	=	"NewsController";
$route["news/index"]	=	"NewsController/index";
$route["news/edit/(:any)"]	=	"NewsController/edit/$1";
$route["news/post"]	=	"NewsController/post";

$route["team"]	=	"TeamController";
$route["team/index"]	=	"TeamController/index";
$route["team/edit/(:any)"]	=	"TeamController/edit/$1";
$route["team/post"]	=	"TeamController/post";

$route["career"]	=	"CareerController";
$route["career/index"]	=	"CareerController/index";
$route["career/edit/(:any)"]	=	"CareerController/edit/$1";
$route["career/post"]	=	"CareerController/post";

$route["careerrules"]	=	"CareerrulesController";
$route["careerrules/index"]	=	"CareerrulesController/index";
$route["careerrules/edit/(:any)"]	=	"CareerrulesController/edit/$1";
$route["careerrules/post"]	=	"CareerrulesController/post";

$route["portfolio"]	=	"PortfolioController";
$route["portfolio/index"]	=	"PortfolioController/index";
$route["portfolio/edit/(:any)"]	=	"PortfolioController/edit/$1";
$route["portfolio/post"]	=	"PortfolioController/post";
$route["portfolio/delete_milti/(:any)"] = "PortfolioController/delete_milti/$1";


$route["client"]	=	"ClientController";
$route["client/index"]	=	"ClientController/index";
$route["client/edit/(:any)"]	=	"ClientController/edit/$1";
$route["client/post"]	=	"ClientController/post";
$route["client/delete_milti/(:any)"]	=	"ClientController/delete_milti/$1";
/* main admin url rewriting */
/*?>*/