<?php
ob_start();
defined('BASEPATH') or exit('No direct script access allowed');

class AdminController extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('AdminModel');
		if($this->session->userdata('lock_admin_id'))
			redirect('lock','refresh');
		else if(!$this->session->userdata('admin_id'))
			redirect('login','refresh');
	}

	public function index()
	{
    
        /* header content */
        $this->load->model("InboxOutboxModel");
        $data["inbox_content"] = $this->InboxOutboxModel->inbox_content();
	
		$this->load->model("ContactModel");
        $data["contact_content"] = $this->ContactModel->content();
    

    
        /* Logo content */
        $this->load->model("LogoModel");
        $data["admin_dashboard_content"]["logo_created"] = $this->LogoModel->last_created_updated()["logo_created"];
        $data["admin_dashboard_content"]["logo_updated"] = $this->LogoModel->last_created_updated()["logo_updated"];
        $data["admin_dashboard_content"]["logo_published"] = $this->LogoModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["logo_unpublished"] = $this->LogoModel->publish_unpublish_count(0);
    	
        /* Banner content */
        $this->load->model("BannerModel");
        $data["admin_dashboard_content"]["banner_created"] = $this->BannerModel->last_created_updated()["banner_created"];
        $data["admin_dashboard_content"]["banner_updated"] = $this->BannerModel->last_created_updated()["banner_updated"];
        $data["admin_dashboard_content"]["banner_published"] = $this->BannerModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["banner_unpublished"] = $this->BannerModel->publish_unpublish_count(0);
    	
        /* About content */
        $this->load->model("AboutModel");
        $data["admin_dashboard_content"]["about_created"] = $this->AboutModel->last_created_updated()["about_created"];
        $data["admin_dashboard_content"]["about_updated"] = $this->AboutModel->last_created_updated()["about_updated"];
        $data["admin_dashboard_content"]["about_published"] = $this->AboutModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["about_unpublished"] = $this->AboutModel->publish_unpublish_count(0);
    	
        /* Service content */
        $this->load->model("ServiceModel");
        $data["admin_dashboard_content"]["service_created"] = $this->ServiceModel->last_created_updated()["service_created"];
        $data["admin_dashboard_content"]["service_updated"] = $this->ServiceModel->last_created_updated()["service_updated"];
        $data["admin_dashboard_content"]["service_published"] = $this->ServiceModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["service_unpublished"] = $this->ServiceModel->publish_unpublish_count(0);
    	
        /* Blog content */
        $this->load->model("BlogModel");
        $data["admin_dashboard_content"]["blog_created"] = $this->BlogModel->last_created_updated()["blog_created"];
        $data["admin_dashboard_content"]["blog_updated"] = $this->BlogModel->last_created_updated()["blog_updated"];
        $data["admin_dashboard_content"]["blog_published"] = $this->BlogModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["blog_unpublished"] = $this->BlogModel->publish_unpublish_count(0);
    	
        /* Contact content */
        $this->load->model("ContactModel");
        $data["admin_dashboard_content"]["contact_created"] = $this->ContactModel->last_created_updated()["contact_created"];
        $data["admin_dashboard_content"]["contact_updated"] = $this->ContactModel->last_created_updated()["contact_updated"];
        $data["admin_dashboard_content"]["contact_published"] = $this->ContactModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["contact_unpublished"] = $this->ContactModel->publish_unpublish_count(0);
    	
        /* Testimonial content */
        $this->load->model("TestimonialModel");
        $data["admin_dashboard_content"]["testimonial_created"] = $this->TestimonialModel->last_created_updated()["testimonial_created"];
        $data["admin_dashboard_content"]["testimonial_updated"] = $this->TestimonialModel->last_created_updated()["testimonial_updated"];
        $data["admin_dashboard_content"]["testimonial_published"] = $this->TestimonialModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["testimonial_unpublished"] = $this->TestimonialModel->publish_unpublish_count(0);
    	
        /* Map content */
        $this->load->model("MapModel");
        $data["admin_dashboard_content"]["map_created"] = $this->MapModel->last_created_updated()["map_created"];
        $data["admin_dashboard_content"]["map_updated"] = $this->MapModel->last_created_updated()["map_updated"];
        $data["admin_dashboard_content"]["map_published"] = $this->MapModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["map_unpublished"] = $this->MapModel->publish_unpublish_count(0);
    	
        /* Socailsite content */
        $this->load->model("SocailsiteModel");
        $data["admin_dashboard_content"]["socailsite_created"] = $this->SocailsiteModel->last_created_updated()["socailsite_created"];
        $data["admin_dashboard_content"]["socailsite_updated"] = $this->SocailsiteModel->last_created_updated()["socailsite_updated"];
        $data["admin_dashboard_content"]["socailsite_published"] = $this->SocailsiteModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["socailsite_unpublished"] = $this->SocailsiteModel->publish_unpublish_count(0);
    	
        /* Project content */
        $this->load->model("ProjectModel");
        $data["admin_dashboard_content"]["project_created"] = $this->ProjectModel->last_created_updated()["project_created"];
        $data["admin_dashboard_content"]["project_updated"] = $this->ProjectModel->last_created_updated()["project_updated"];
        $data["admin_dashboard_content"]["project_published"] = $this->ProjectModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["project_unpublished"] = $this->ProjectModel->publish_unpublish_count(0);
    	
        /* Product content */
        $this->load->model("ProductModel");
        $data["admin_dashboard_content"]["product_created"] = $this->ProductModel->last_created_updated()["product_created"];
        $data["admin_dashboard_content"]["product_updated"] = $this->ProductModel->last_created_updated()["product_updated"];
        $data["admin_dashboard_content"]["product_published"] = $this->ProductModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["product_unpublished"] = $this->ProductModel->publish_unpublish_count(0);
    	
        /* News content */
        $this->load->model("NewsModel");
        $data["admin_dashboard_content"]["news_created"] = $this->NewsModel->last_created_updated()["news_created"];
        $data["admin_dashboard_content"]["news_updated"] = $this->NewsModel->last_created_updated()["news_updated"];
        $data["admin_dashboard_content"]["news_published"] = $this->NewsModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["news_unpublished"] = $this->NewsModel->publish_unpublish_count(0);
    	
        /* Team content */
        $this->load->model("TeamModel");
        $data["admin_dashboard_content"]["team_created"] = $this->TeamModel->last_created_updated()["team_created"];
        $data["admin_dashboard_content"]["team_updated"] = $this->TeamModel->last_created_updated()["team_updated"];
        $data["admin_dashboard_content"]["team_published"] = $this->TeamModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["team_unpublished"] = $this->TeamModel->publish_unpublish_count(0);
    	
        /* Career content */
        $this->load->model("CareerModel");
        $data["admin_dashboard_content"]["career_created"] = $this->CareerModel->last_created_updated()["career_created"];
        $data["admin_dashboard_content"]["career_updated"] = $this->CareerModel->last_created_updated()["career_updated"];
        $data["admin_dashboard_content"]["career_published"] = $this->CareerModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["career_unpublished"] = $this->CareerModel->publish_unpublish_count(0);
    	
        /* Careerrules content */
        $this->load->model("CareerrulesModel");
        $data["admin_dashboard_content"]["careerrules_created"] = $this->CareerrulesModel->last_created_updated()["careerrules_created"];
        $data["admin_dashboard_content"]["careerrules_updated"] = $this->CareerrulesModel->last_created_updated()["careerrules_updated"];
        $data["admin_dashboard_content"]["careerrules_published"] = $this->CareerrulesModel->publish_unpublish_count(1);
        $data["admin_dashboard_content"]["careerrules_unpublished"] = $this->CareerrulesModel->publish_unpublish_count(0);
    	
		$this->load->view('index', $data);
	}
  
	public function publish($controller, $action, $table, $field, $value, $id)
	{
	 	$this->AdminModel->publish($table, $field, $value, $id);
	 	redirect($controller.'/'.$action);
	}

	public function unpublish($controller, $action, $table, $field, $value, $id)
	{
 		$this->AdminModel->unpublish($table, $field, $value, $id);
	 	redirect($controller.'/'.$action);
	}

	public function delete($controller, $action, $table, $id, $image_column, $image_path)
	{
	 	$this->AdminModel->delete($table, $id, $image_column, $image_path);
	 	redirect($controller.'/'.$action);
	}

	public function multi_publish($controller, $action, $table, $field, $value, $ids)
	{
 		$this->AdminModel->multi_publish($table, $field, $value, $ids);
	 	redirect($controller.'/'.$action);
	}

	public function multi_unpublish($controller, $action, $table, $field, $value, $ids)
	{
	 	$this->AdminModel->multi_unpublish($table, $field, $value, $ids);
	 	redirect($controller.'/'.$action);
	}

	public function multi_delete($controller, $action, $table, $ids, $image_column, $image_path)
	{
	 	$this->AdminModel->multi_delete($table, $ids, $image_column, $image_path);
	 	redirect($controller.'/'.$action);
	}

	public function json_priority($controller, $action, $table, $field, $value, $id)
	{  
		$this->AdminModel->json_priority($table, $field, $value, $id);
	}

	public function theme_color()
	{  
		$admin_theme_color = $this->input->post('admin_theme_color');
		$tbl_admin_id = $this->session->userdata('admin_id');
		
		echo json_encode($this->AdminModel->theme_color($admin_theme_color, $tbl_admin_id));
	}

	public function json_PNotifications()
	{
		echo $this->session->userdata('alert_type').'#'.$this->session->userdata('alert_stack').'#'.$this->session->userdata('alert_title').'#'.$this->session->userdata('alert_message').'#'.$this->session->userdata('nonblock').'#'.$this->session->userdata('icon');
		$this->session->set_userdata('alert_type',null);
		$this->session->set_userdata('alert_stack',null);
		$this->session->set_userdata('alert_title',null);
		$this->session->set_userdata('alert_message',null);
		$this->session->set_userdata('nonblock',null);
		$this->session->set_userdata('icon',null);
	}
}
?>