<?php
ob_start();
defined('BASEPATH') or die('No direct script access allowed');

class InboxOutboxController extends CI_Controller
{
	function __construct()
	{
		parent::__construct();
		$this->load->model('InboxOutboxModel');
		if($this->session->userdata('lock_admin_id'))
			redirect('lock','refresh');
		else if(!$this->session->userdata('admin_id'))
			redirect('login','refresh');
	}

	public function index()
	{
		/* header content */
        $this->load->model("InboxOutboxModel");
        $data["inbox_content"] = $this->InboxOutboxModel->inbox_content();
        $this->load->model("ContactModel");
        $data["contact_content"] = $this->ContactModel->content();

		/* content to be display in list view */
		$data['display_inbox'] = $this->InboxOutboxModel->inbox_content();
		$data['display_outbox'] =  $this->InboxOutboxModel->outbox_content();
		
		/* publish and unpublish count to display */
		$data['publish_count'] = $this->InboxOutboxModel->publish_unpublish_count(1); /*status*/
		$data['unpublish_count'] = $this->InboxOutboxModel->publish_unpublish_count(0); /*status*/

		$this->load->view('inbox-outbox', $data);
	}


    public function json_read_unread_update()
    {
         $post_data = $this->input->post();
         if(isset($post_data) && !empty($post_data))
         	echo $this->InboxOutboxModel->json_read_unread_update($post_data);
    }
	public function post()
	{
		$post_data = $this->input->post(); 
		if(isset($post_data) && !empty($post_data))
		{
			if(isset($post_data['outbox_subject']) && !empty($post_data['outbox_subject']) && isset($post_data['outbox_message']) && !empty($post_data['outbox_message']))
			{
				if($this->send_reply_message($post_data['outbox_email'], $post_data['outbox_cc'], $post_data['outbox_bcc'], $post_data['outbox_subject'], $post_data['outbox_message']))
				{
					$result = $this->InboxOutboxModel->post($post_data);
					if($result)
					{
						$this->session->set_userdata('alert_title','Reply Success');
						$this->session->set_userdata('alert_message','The reply message has been sent successfully on correspondence mail.');
					}
					else
					{
						$this->session->set_userdata('alert_type','error');
						$this->session->set_userdata('alert_title','Reply Failure !');
						$this->session->set_userdata('alert_message','The reply message sending failure, please try later.');
					}
				}
				else
				{
					$this->session->set_userdata('alert_type','error');
					$this->session->set_userdata('alert_title','Reply Failure !');
					$this->session->set_userdata('alert_message','Something problem to sending reply email, please try again.');
				}
			}
			else
			{
				$this->session->set_userdata('alert_type','warning');
				$this->session->set_userdata('alert_title','Invalid Input');
				$this->session->set_userdata('alert_message','The subject or message should not be blank, please try again.');
			}
		}
		redirect('inbox-outbox','refresh');
	}

	public function send_reply_message($reply_email, $reply_cc, $reply_bcc, $reply_subject, $reply_message)
	{
		//if($this->LoginModel->reset_password($data[0]['tbl_admin_id'], $random_password))
		{
			$message = '';
			$message .='<p>Hello Sir / Madam,</p>'."\r\n";						

			$message .= $reply_message;
			/*$message .='<p>The email was generated as a request from the Forgot Password retrieval based on the search criteria provided. The login information has only been sent to this email address.</p>'."\r\n";
			$message .='<p>To ensure account security, please change your password immediately through you Account profile.</p>'."\r\n";
			$message .='<p>Your Password : '.$random_password.'</p>'."\r\n";
			$message .='<p>If this information dose not allow you to access your site(s), please return to the login assistance page and enter a different login name or email address to locate other accounts.</p>'."\r\n";*/
			$message .='-----'."\r\n";
			$message .='<p>If you have any questions or trouble on please contact us at <a href="www.egranthalaya.com">www.egranthalaya.com</a><br/>'."\r\n";
			$message .='Website : http://www.egranthalaya.com/ <br/> Contact : 1-844-358-1023 <br/> Email : info@egranthalaya.com <br/><br/> Thank You! <br/><b> E-Granthalaya Support Services</b> <br/>';
			$message .= '<a href="'.base_url().'"><img style="width:30%" src="'.base_url().'logo_default.png" alt=""></a>';
			$message .='<hr/><i>* The location is approximate and determined by the IP address it was coming from.</i>'."\r\nThis email can't receive replies.";
			$message .=''."\r\n";

			$result = $this->AdminModel->send_mail('works@oystertechnology.in', $reply_email, $reply_cc, $reply_bcc, 'Project | Reply', $reply_subject, $reply_message);
			if($result)
				return true;
			else
				return false;
		}
	}	
}
?>