<?php
ob_start();
defined('BASEPATH') or die('No direct script access allowed');

class PortfolioController extends CI_Controller
{
	function __construct()
	{
		parent::__construct();
		
		$this->load->model('PortfolioModel');
		if($this->session->userdata('lock_admin_id'))
			redirect('lock','refresh');
		else if(!$this->session->userdata('admin_id'))
			redirect('login','refresh');
		else if($this->session->userdata('admin_type') != 'SUPER' && !$this->session->userdata('PER_portfolio')) 
			redirect('admin','refresh');
	}

	public function index()
	{
		
        /* header content */
        $this->load->model("InboxOutboxModel");
        $data["inbox_content"] = $this->InboxOutboxModel->inbox_content();
	
		$this->load->model("ContactModel");
        $data["contact_content"] = $this->ContactModel->content();
    

		/* content to be display in list view */
		$data['display_content'] = $this->PortfolioModel->content();
		
		

		/* publish and unpublish count to display */
		$data['publish_count'] = $this->PortfolioModel->publish_unpublish_count(1); /*status*/
		$data['unpublish_count'] = $this->PortfolioModel->publish_unpublish_count(0); /*status*/
		$data['category_content']= $this->PortfolioModel->get_category_content();
		$this->load->view('portfolio', $data);
	}

	public function edit($id)
	{
		
        /* header content */
        $this->load->model("InboxOutboxModel");
        $data["inbox_content"] = $this->InboxOutboxModel->inbox_content();
	
		$this->load->model("ContactModel");
        $data["contact_content"] = $this->ContactModel->content();
    

		/* content to be display in list view */
		$data['display_content'] = $this->PortfolioModel->content();
		
		

		/* publish and unpublish count to display */
		$data['publish_count'] = $this->PortfolioModel->publish_unpublish_count(1); /*status*/
		$data['unpublish_count'] = $this->PortfolioModel->publish_unpublish_count(0); /*status*/

		/* edited record content */
		$data['edit_content'] = $this->PortfolioModel->edit($id);
		$data["get_all_images_content"] = $this->PortfolioModel->get_all_images_content($id);
		$data['category_content']= $this->PortfolioModel->get_category_content();
		
		$this->load->view('portfolio', $data);
	}

	
		
	public function post()
	{
		/* your insert / update code is here */
	
		
			$post_data = $this->input->post();
		
			//load upload class library with configuration
			$config =  array(
	              'upload_path'     => '../upload/portfolio/',
	              'allowed_types'   => 'png|PNG|jpg|jpeg|JPG|JPEG|gif|GIF|bmp|BMP',
	              'overwrite'       => FALSE,
	              'max_size'        => '2048000',  // Can be set to particular file size
	            );    
			$this->load->library('upload', $config);
					
			// upload portfolio_image
			if($this->upload->do_upload('portfolio_image'))
			{
				if(isset($post_data['portfolio_image_previous']) && !empty($post_data['portfolio_image_previous']) && file_exists('../upload/portfolio/'.$post_data['portfolio_image_previous']))
					unlink('../upload/portfolio/'.$post_data['portfolio_image_previous']);
				$upload_data = $this->upload->data();
				$post_data['portfolio_image'] = $upload_data['file_name'];
			}
			else
			{
				$post_data['portfolio_image'] = $post_data['portfolio_image_previous'];
			}
			$data = [];
			$data['totalFiles']=array();
			if(isset($_FILES['files']['name'])&& !empty($_FILES['files']['name'])){
			
      $count = count($_FILES['files']['name']);
      for($i=0;$i<$count;$i++){
    
        if(!empty($_FILES['files']['name'][$i])){
    
          $_FILES['file']['name'] = $_FILES['files']['name'][$i];
          $_FILES['file']['type'] = $_FILES['files']['type'][$i];
          $_FILES['file']['tmp_name'] = $_FILES['files']['tmp_name'][$i];
          $_FILES['file']['error'] = $_FILES['files']['error'][$i];
          $_FILES['file']['size'] = $_FILES['files']['size'][$i];
  
          $config['upload_path'] = '../upload/portfolio/multi_gallery/'; 
          $config['allowed_types'] = 'jpg|jpeg|png|gif';
          $config['max_size'] = '5000';
          $config['file_name'] = $_FILES['files']['name'][$i];
   
          $this->load->library('upload',$config); 
    
          if($this->upload->do_upload('file')){
            $uploadData = $this->upload->data();
            $filename = $uploadData['file_name'];
   
            $data['totalFiles'][] = $filename;
          }
        }
   
      }
  }
			$result = $this->PortfolioModel->post($post_data,$data);

			if($result == 'inserted')
			{
				$this->session->set_userdata('alert_type','success');
				$this->session->set_userdata('alert_title','Inserted Successfully');
				$this->session->set_userdata('alert_message','The information has been inserted successfully.');
	    	}
			else if($result == 'updated')
			{
				$this->session->set_userdata('alert_type','success');
				$this->session->set_userdata('alert_title','Updated Successfully');
				$this->session->set_userdata('alert_message','The information has been updated successfully.');
	    	}
			else
			{
				$this->session->set_userdata('alert_type','danger');
				$this->session->set_userdata('alert_title','Error');
				$this->session->set_userdata('alert_message','There is something problem to submit your action, please try again.');
	    	}
			
			redirect('portfolio', 'refresh'); 
	}	


	public function delete_milti($id)
	{
		// echo $id;die;
		$data['edit_content'] = $this->PortfolioModel->delete_milti($id);

		redirect($_SERVER['HTTP_REFERER']);

	}

	
}
?>