<?php
ob_start();
defined('BASEPATH') or die('No direct script access allowed');

class ProductController extends CI_Controller
{
	function __construct()
	{
		parent::__construct();
		
		$this->load->model('ProductModel');
		if($this->session->userdata('lock_admin_id'))
			redirect('lock','refresh');
		else if(!$this->session->userdata('admin_id'))
			redirect('login','refresh');
		else if($this->session->userdata('admin_type') != 'SUPER' && !$this->session->userdata('PER_product')) 
			redirect('admin','refresh');
	}

	public function index()
	{
		
        /* header content */
        $this->load->model("InboxOutboxModel");
        $data["inbox_content"] = $this->InboxOutboxModel->inbox_content();
	
		$this->load->model("ContactModel");
        $data["contact_content"] = $this->ContactModel->content();
    

		/* content to be display in list view */
		$data['display_content'] = $this->ProductModel->content();
		
		

		/* publish and unpublish count to display */
		$data['publish_count'] = $this->ProductModel->publish_unpublish_count(1); /*status*/
		$data['unpublish_count'] = $this->ProductModel->publish_unpublish_count(0); /*status*/
		
		$this->load->view('product', $data);
	}

	public function edit($id)
	{
		
        /* header content */
        $this->load->model("InboxOutboxModel");
        $data["inbox_content"] = $this->InboxOutboxModel->inbox_content();
	
		$this->load->model("ContactModel");
        $data["contact_content"] = $this->ContactModel->content();
    

		/* content to be display in list view */
		$data['display_content'] = $this->ProductModel->content();
		
		

		/* publish and unpublish count to display */
		$data['publish_count'] = $this->ProductModel->publish_unpublish_count(1); /*status*/
		$data['unpublish_count'] = $this->ProductModel->publish_unpublish_count(0); /*status*/

		/* edited record content */
		$data['edit_content'] = $this->ProductModel->edit($id);
		
		$this->load->view('product', $data);
	}

	
		
	public function post()
	{
		/* your insert / update code is here */
	
		
			$post_data = $this->input->post();
		
			//load upload class library with configuration
			$config =  array(
	              'upload_path'     => '../upload/product/',
	              'allowed_types'   => 'png|PNG|jpg|jpeg|JPG|JPEG|gif|GIF|bmp|BMP',
	              'overwrite'       => FALSE,
	              'max_size'        => '2048000',  // Can be set to particular file size
	            );    
			$this->load->library('upload', $config);
					
			// upload product_image
			if($this->upload->do_upload('product_image'))
			{
				if(isset($post_data['product_image_previous']) && !empty($post_data['product_image_previous']) && file_exists('../upload/product/'.$post_data['product_image_previous']))
					unlink('../upload/product/'.$post_data['product_image_previous']);
				$upload_data = $this->upload->data();
				$post_data['product_image'] = $upload_data['file_name'];
			}
			else
			{
				$post_data['product_image'] = $post_data['product_image_previous'];
			}
			
			$result = $this->ProductModel->post($post_data);

			if($result == 'inserted')
			{
				$this->session->set_userdata('alert_type','success');
				$this->session->set_userdata('alert_title','Inserted Successfully');
				$this->session->set_userdata('alert_message','The information has been inserted successfully.');
	    	}
			else if($result == 'updated')
			{
				$this->session->set_userdata('alert_type','success');
				$this->session->set_userdata('alert_title','Updated Successfully');
				$this->session->set_userdata('alert_message','The information has been updated successfully.');
	    	}
			else
			{
				$this->session->set_userdata('alert_type','danger');
				$this->session->set_userdata('alert_title','Error');
				$this->session->set_userdata('alert_message','There is something problem to submit your action, please try again.');
	    	}
			
			redirect('product', 'refresh'); 
	}	

	
}
?>