<?php
ob_start();
defined('BASEPATH') or die('No direct script access allowed');

class SeoController extends CI_Controller
{
	function __construct()
	{
		parent::__construct();
		$this->load->model('SeoModel');
		if($this->session->userdata('lock_admin_id'))
			redirect('lock','refresh');
		else if(!$this->session->userdata('admin_id'))
			redirect('login','refresh');
		else if($this->session->userdata('admin_type') != 'SUPER' && !$this->session->userdata('PER_seo')) 
			redirect('admin','refresh');
	}

	public function index()
	{
		/* content to be display in list view */
		$data['metatag_display_content'] = $this->SeoModel->metatag_content();
		$data['google_analitic_display_content'] = $this->SeoModel->google_analitic_content();
		$data['sitemap_display_content'] = $this->SeoModel->sitemap_content();
		
		/* publish and unpublish count to display */
		$data['metatag_publish_count'] = $this->SeoModel->metatag_publish_unpublish_count(1); /*status*/
		$data['metatag_unpublish_count'] = $this->SeoModel->metatag_publish_unpublish_count(0); /*status*/
		$data['google_analitic_publish_count'] = $this->SeoModel->google_analitic_publish_unpublish_count(1); /*status*/
		$data['google_analitic_unpublish_count'] = $this->SeoModel->google_analitic_publish_unpublish_count(0); /*status*/
		$data['sitemap_publish_count'] = $this->SeoModel->sitemap_publish_unpublish_count(1); /*status*/
		$data['sitemap_unpublish_count'] = $this->SeoModel->sitemap_publish_unpublish_count(0); /*status*/
		
		//var_dump($data); die;
		$this->load->view('seo', $data);
	}

	public function metatag_edit($id)
	{
		/* content to be display in list view */
		//echo $id; die;
		$data['metatag_display_content'] = $this->SeoModel->metatag_content();
		$data['google_analitic_display_content'] = $this->SeoModel->google_analitic_content();
		$data['sitemap_display_content'] = $this->SeoModel->sitemap_content();
		
		/* publish and unpublish count to display */
		$data['metatag_publish_count'] = $this->SeoModel->metatag_publish_unpublish_count(1); /*status*/
		$data['metatag_unpublish_count'] = $this->SeoModel->metatag_publish_unpublish_count(0); /*status*/
		$data['google_analitic_publish_count'] = $this->SeoModel->google_analitic_publish_unpublish_count(1); /*status*/
		$data['google_analitic_unpublish_count'] = $this->SeoModel->google_analitic_publish_unpublish_count(0); /*status*/
		$data['sitemap_publish_count'] = $this->SeoModel->sitemap_publish_unpublish_count(1); /*status*/
		$data['sitemap_unpublish_count'] = $this->SeoModel->sitemap_publish_unpublish_count(0); /*status*/

		/* edited record content */
		$data['metatag_edit_content'] = $this->SeoModel->metatag_edit($id);
		//var_dump($data['metatag_edit_content']); die;
		$this->load->view('seo', $data);
	}

	
	public function google_analitic_edit($id)
	{
		/* content to be display in list view */
		$data['metatag_display_content'] = $this->SeoModel->metatag_content();
		$data['google_analitic_display_content'] = $this->SeoModel->google_analitic_content();
		$data['sitemap_display_content'] = $this->SeoModel->sitemap_content();
		
		/* publish and unpublish count to display */
		$data['metatag_publish_count'] = $this->SeoModel->metatag_publish_unpublish_count(1); /*status*/
		$data['metatag_unpublish_count'] = $this->SeoModel->metatag_publish_unpublish_count(0); /*status*/
		$data['google_analitic_publish_count'] = $this->SeoModel->google_analitic_publish_unpublish_count(1); /*status*/
		$data['google_analitic_unpublish_count'] = $this->SeoModel->google_analitic_publish_unpublish_count(0); /*status*/
		$data['sitemap_publish_count'] = $this->SeoModel->sitemap_publish_unpublish_count(1); /*status*/
		$data['sitemap_unpublish_count'] = $this->SeoModel->sitemap_publish_unpublish_count(0); /*status*/

		/* edited record content */
		$data['google_analitic_edit_content'] = $this->SeoModel->google_analitic_edit($id);
		
		$this->load->view('seo', $data);
	}

	public function sitemap_edit($id)
	{
		/* content to be display in list view */
		$data['metatag_display_content'] = $this->SeoModel->metatag_content();
		$data['google_analitic_display_content'] = $this->SeoModel->google_analitic_content();
		$data['sitemap_display_content'] = $this->SeoModel->sitemap_content();
		
		/* publish and unpublish count to display */
		$data['metatag_publish_count'] = $this->SeoModel->metatag_publish_unpublish_count(1); /*status*/
		$data['metatag_unpublish_count'] = $this->SeoModel->metatag_publish_unpublish_count(0); /*status*/
		$data['google_analitic_publish_count'] = $this->SeoModel->google_analitic_publish_unpublish_count(1); /*status*/
		$data['google_analitic_unpublish_count'] = $this->SeoModel->google_analitic_publish_unpublish_count(0); /*status*/
		$data['sitemap_publish_count'] = $this->SeoModel->sitemap_publish_unpublish_count(1); /*status*/
		$data['sitemap_unpublish_count'] = $this->SeoModel->sitemap_publish_unpublish_count(0); /*status*/

		/* edited record content */
		$data['sitemap_edit_content'] = $this->SeoModel->sitemap_edit($id);
		
		$this->load->view('seo', $data);
	}

	public function metatag_post() // insert / update
	{
		/* your insert / update code is here */
		
		$post_data = $this->input->post();
		//var_dump($post_data); die;
		
		$result = $this->SeoModel->metatag_post($post_data);

		if($result == 'inserted')
		{
			$this->session->set_userdata('alert_type','success');
			$this->session->set_userdata('alert_title','Inserted Successfully');
			$this->session->set_userdata('alert_message','The information has been inserted successfully.');
		}
		else if($result == 'updated')
		{
			$this->session->set_userdata('alert_type','success');
			$this->session->set_userdata('alert_title','Updated Successfully');
			$this->session->set_userdata('alert_message','The information has been updated successfully.');
		}
		else
		{
			$this->session->set_userdata('alert_type','danger');
			$this->session->set_userdata('alert_title','Error');
			$this->session->set_userdata('alert_message','There is something problem to submit your action, please try again.');
		}
		redirect('seo', 'refresh'); 
	}	

	public function google_analitic_post() // insert / update
	{
		/* your insert / update code is here */
		
		$post_data = $this->input->post();
		
		//load upload class library with configuration
		$config =  array(
              'upload_path'     => '../application/views/',
              'allowed_types'   => 'php|xml',
              'overwrite'       => TRUE,
              /*'max_size'        => '2048000',  // Can be set to particular file size
              'max_height'      => '768',
              'max_width'       => '1024'*/		
              'file_name'		=> 'google-analitics.php'  
            );    
		$this->load->library('upload', $config);
						
		// upload seo_image
		if($this->upload->do_upload('google_analitic_file'))
		{  
			$upload_data = $this->upload->data();

			$post_data['google_analitic_detail'] = file_get_contents("../application/views/google-analitics.php");
		}
		
		$result = $this->SeoModel->google_analitic_post($post_data);

		if($result == 'inserted')
		{
			if(empty($upload_data))
			{
				$file_name = fopen("../application/views/google-analitics.php", "w") or die("Cant open file !");
				fwrite($file_name, $post_data['google_analitic_detail']);
				fclose($file_name);
			}
			
			$this->session->set_userdata('alert_type','success');
			$this->session->set_userdata('alert_title','Inserted Successfully');
			$this->session->set_userdata('alert_message','The information has been inserted successfully.');
		}
		else if($result == 'updated')
		{
			if(empty($upload_data))
			{
				$file_name = fopen("../application/views/google-analitics.php", "w") or die("Cant open file !");
				fwrite($file_name, $post_data['google_analitic_detail']);
				fclose($file_name);
			}
			
			$this->session->set_userdata('alert_type','success');
			$this->session->set_userdata('alert_title','Updated Successfully');
			$this->session->set_userdata('alert_message','The information has been updated successfully.');
		}
		else
		{
			$this->session->set_userdata('alert_type','danger');
			$this->session->set_userdata('alert_title','Error');
			$this->session->set_userdata('alert_message','There is something problem to submit your action, please try again.');
		}
		redirect('seo', 'refresh'); 
	}	

	public function sitemap_post()
	{
		/* your insert / update code is here */
		
		$post_data = $this->input->post();
		
		//load upload class library with configuration
		$config =  array(
              'upload_path'     => '../',
              'allowed_types'   => 'xml',
              'overwrite'       => TRUE,
              /*'max_size'        => '2048000',  // Can be set to particular file size
              'max_height'      => '768',
              'max_width'       => '1024'*/		//'file_name'		=> strtotime('now')  
              'file_name'		=> 'sitemap.xml' 
            );    
		$this->load->library('upload', $config);
					
		// upload seo_image
		if($this->upload->do_upload('sitemap_file'))
		{  
			$upload_data = $this->upload->data();
			$post_data['sitemap_detail'] = file_get_contents("../sitemap.xml");
		}
			
		$result = $this->SeoModel->sitemap_post($post_data);

		if($result == 'inserted')
		{
			if(empty($upload_data))
			{
				$file_name = fopen("../sitemap.xml", "w") or die("Cant open file !");
				fwrite($file_name, $post_data['sitemap_detail']);
				fclose($file_name);
			}

			$this->session->set_userdata('alert_type','success');
			$this->session->set_userdata('alert_title','Inserted Successfully');
			$this->session->set_userdata('alert_message','The information has been inserted successfully.');
		}
		else if($result == 'updated')
		{
			if(empty($upload_data))
			{
				$file_name = fopen("../sitemap.xml", "w") or die("Cant open file !");
				fwrite($file_name, $post_data['sitemap_detail']);
				fclose($file_name);
			}
			
			$this->session->set_userdata('alert_type','success');
			$this->session->set_userdata('alert_title','Updated Successfully');
			$this->session->set_userdata('alert_message','The information has been updated successfully.');
		}
		else
		{
			$this->session->set_userdata('alert_type','danger');
			$this->session->set_userdata('alert_title','Error');
			$this->session->set_userdata('alert_message','There is something problem to submit your action, please try again.');
		}
		redirect('seo', 'refresh'); 
	}	
	
	
}
?>