<?php
ob_start();
defined('BASEPATH') or die('No direct script access allowed');

class SocailsiteController extends CI_Controller
{
	function __construct()
	{
		parent::__construct();
		
		$this->load->model('SocailsiteModel');
		if($this->session->userdata('lock_admin_id'))
			redirect('lock','refresh');
		else if(!$this->session->userdata('admin_id'))
			redirect('login','refresh');
		else if($this->session->userdata('admin_type') != 'SUPER' && !$this->session->userdata('PER_socailsite')) 
			redirect('admin','refresh');
	}

	public function index()
	{
		
        /* header content */
        $this->load->model("InboxOutboxModel");
        $data["inbox_content"] = $this->InboxOutboxModel->inbox_content();
	
		$this->load->model("ContactModel");
        $data["contact_content"] = $this->ContactModel->content();
    

		/* content to be display in list view */
		$data['display_content'] = $this->SocailsiteModel->content();
		
		

		/* publish and unpublish count to display */
		$data['publish_count'] = $this->SocailsiteModel->publish_unpublish_count(1); /*status*/
		$data['unpublish_count'] = $this->SocailsiteModel->publish_unpublish_count(0); /*status*/
		
		$this->load->view('socailsite', $data);
	}

	public function edit($id)
	{
		
        /* header content */
        $this->load->model("InboxOutboxModel");
        $data["inbox_content"] = $this->InboxOutboxModel->inbox_content();
	
		$this->load->model("ContactModel");
        $data["contact_content"] = $this->ContactModel->content();
    

		/* content to be display in list view */
		$data['display_content'] = $this->SocailsiteModel->content();
		
		

		/* publish and unpublish count to display */
		$data['publish_count'] = $this->SocailsiteModel->publish_unpublish_count(1); /*status*/
		$data['unpublish_count'] = $this->SocailsiteModel->publish_unpublish_count(0); /*status*/

		/* edited record content */
		$data['edit_content'] = $this->SocailsiteModel->edit($id);
		
		$this->load->view('socailsite', $data);
	}

	
		
	public function post()
	{
		/* your insert / update code is here */
	
		
			$post_data = $this->input->post();
		
			$result = $this->SocailsiteModel->post($post_data);

			if($result == 'inserted')
			{
				$this->session->set_userdata('alert_type','success');
				$this->session->set_userdata('alert_title','Inserted Successfully');
				$this->session->set_userdata('alert_message','The information has been inserted successfully.');
	    	}
			else if($result == 'updated')
			{
				$this->session->set_userdata('alert_type','success');
				$this->session->set_userdata('alert_title','Updated Successfully');
				$this->session->set_userdata('alert_message','The information has been updated successfully.');
	    	}
			else
			{
				$this->session->set_userdata('alert_type','danger');
				$this->session->set_userdata('alert_title','Error');
				$this->session->set_userdata('alert_message','There is something problem to submit your action, please try again.');
	    	}
			
			redirect('socailsite', 'refresh'); 
	}	

	
}
?>