<?php
class AboutModel extends CI_Model
{
	function __construct()
	{
		$this->load->database();
		$this->load->model('AdminModel');
	}

	public function content($columns = null)
	{
		$select = !empty($columns) ? $columns : array('tbl_about.*');
		$table = 'tbl_about';
		$order_by = 'tbl_about.tbl_about_id desc';
		$group_by = !empty($columns) ? $columns : 'tbl_about.tbl_about_id';
		$where = $where_or = $where_in = $joins = array(); 
		/* optional - $columns is used some times only - when we want single column record without duplication that time it requires */
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}
	
	public function publish_unpublish_count($status)
	{
		$select = array('count(tbl_about.tbl_about_id) as count');
		$table = 'tbl_about';
		$where = array(
			'tbl_about.about_status' => $status
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where)[0]['count'];
	}

    public function last_created_updated()
    {
      $select = array('max(tbl_about.about_created) as about_created, max(tbl_about.about_updated) as about_updated');
      $table = 'tbl_about';
      $where = array(
        'tbl_about.about_status' => 1
        );
      
      return $this->AdminModel->op_mysql_select($select, $table, $where)[0];
    }

	public function edit($id)
	{
		$select = array('tbl_about.*');
		$table = 'tbl_about';
		$where = array(
			'tbl_about.tbl_about_id' => $id/*, 
			 'tbl_about.about_status' => '1' */
			);
		$order_by = 'tbl_about.tbl_about_id desc';
		$group_by = 'tbl_about.tbl_about_id';
		$where_or = $joins = $where_in = null;

		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function post($post_data)
	{
		extract($post_data);
		if(isset($tbl_about_id) && !empty($tbl_about_id))
		{
			$table = 'tbl_about';
			$data = array(  
				'tbl_about.about_title' => $about_title, 
				'tbl_about.about_quote' => $about_quote, 
				'tbl_about.about_description' => $about_description, 
				'tbl_about.about_image1' => $about_image1, 
				'tbl_about.about_image2' => $about_image2,
				'tbl_about.about_home_image1' => $about_home_image1, 
				'tbl_about.about_home_image2' => $about_home_image2 
				);
			$where = array(
				'tbl_about.tbl_about_id' => $tbl_about_id
				);

			$this->AdminModel->op_mysql_update($table, $data, $where);
			return 'updated';
		}
		else
		{
			$table = 'tbl_about';
			$data = array(  
				'tbl_about.about_title' => $about_title, 
				'tbl_about.about_quote' => $about_quote, 
				'tbl_about.about_description' => $about_description, 
				'tbl_about.about_image1' => $about_image1, 
				'tbl_about.about_image2' => $about_image2,
				'tbl_about.about_home_image1' => $about_home_image1, 
				'tbl_about.about_home_image2' => $about_home_image2 
				);
				
			if($this->AdminModel->op_mysql_insert($table, $data))
				return 'inserted';
		}
	}
	
  
}
?>