<?php
class AchievmentModel extends CI_Model
{
	function __construct()
	{
		$this->load->database();
		$this->load->model('AdminModel');
	}

	public function content($columns = null)
	{
		$select = !empty($columns) ? $columns : array('tbl_achievment.*');
		$table = 'tbl_achievment';
		$order_by = 'tbl_achievment.tbl_achievment_id desc';
		$group_by = !empty($columns) ? $columns : 'tbl_achievment.tbl_achievment_id';
		$where = $where_or = $where_in = $joins = array(); 
		/* optional - $columns is used some times only - when we want single column record without duplication that time it requires */
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}
	
	public function publish_unpublish_count($status)
	{
		$select = array('count(tbl_achievment.tbl_achievment_id) as count');
		$table = 'tbl_achievment';
		$where = array(
			'tbl_achievment.achievment_status' => $status
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where)[0]['count'];
	}

    public function last_created_updated()
    {
      $select = array('max(tbl_achievment.achievment_created) as achievment_created, max(tbl_achievment.achievment_updated) as achievment_updated');
      $table = 'tbl_achievment';
      $where = array(
        'tbl_achievment.achievment_status' => 1
        );
      
      return $this->AdminModel->op_mysql_select($select, $table, $where)[0];
    }

	public function edit($id)
	{
		$select = array('tbl_achievment.*');
		$table = 'tbl_achievment';
		$where = array(
			'tbl_achievment.tbl_achievment_id' => $id/*, 
			 'tbl_achievment.achievment_status' => '1' */
			);
		$order_by = 'tbl_achievment.tbl_achievment_id desc';
		$group_by = 'tbl_achievment.tbl_achievment_id';
		$where_or = $joins = $where_in = null;

		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function post($post_data)
	{
		extract($post_data);
		if(isset($tbl_achievment_id) && !empty($tbl_achievment_id))
		{
			$table = 'tbl_achievment';
			$data = array(  
				'tbl_achievment.achievment_title' => $achievment_title, 
				'tbl_achievment.achievment_happy_client' => $achievment_happy_client, 
				'tbl_achievment.achievment_done_project' => $achievment_done_project, 
				'tbl_achievment.achievment_working_project' => $achievment_working_project, 
				'tbl_achievment.achievment_finished_project' => $achievment_finished_project 
				);
			$where = array(
				'tbl_achievment.tbl_achievment_id' => $tbl_achievment_id
				);

			$this->AdminModel->op_mysql_update($table, $data, $where);
			return 'updated';
		}
		else
		{
			$table = 'tbl_achievment';
			$data = array(  
				'tbl_achievment.achievment_title' => $achievment_title,
				'tbl_achievment.achievment_happy_client' => $achievment_happy_client, 
				'tbl_achievment.achievment_done_project' => $achievment_done_project, 
				'tbl_achievment.achievment_working_project' => $achievment_working_project, 
				'tbl_achievment.achievment_finished_project' => $achievment_finished_project 
				);
				
			if($this->AdminModel->op_mysql_insert($table, $data))
				return 'inserted';
		}
	}
	
  
}
?>