<?php
class LogoModel extends CI_Model
{
	function __construct()
	{
		$this->load->database();
		$this->load->model('AdminModel');
	}

	public function content($columns = null)
	{
		$select = !empty($columns) ? $columns : array('tbl_logo.*');
		$table = 'tbl_logo';
		$order_by = 'tbl_logo.tbl_logo_id desc';
		$group_by = !empty($columns) ? $columns : 'tbl_logo.tbl_logo_id';
		$where = $where_or = $where_in = $joins = array(); 
		/* optional - $columns is used some times only - when we want single column record without duplication that time it requires */
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}
	
	public function publish_unpublish_count($status)
	{
		$select = array('count(tbl_logo.tbl_logo_id) as count');
		$table = 'tbl_logo';
		$where = array(
			'tbl_logo.logo_status' => $status
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where)[0]['count'];
	}

    public function last_created_updated()
    {
      $select = array('max(tbl_logo.logo_created) as logo_created, max(tbl_logo.logo_updated) as logo_updated');
      $table = 'tbl_logo';
      $where = array(
        'tbl_logo.logo_status' => 1
        );
      
      return $this->AdminModel->op_mysql_select($select, $table, $where)[0];
    }

	public function edit($id)
	{
		$select = array('tbl_logo.*');
		$table = 'tbl_logo';
		$where = array(
			'tbl_logo.tbl_logo_id' => $id/*, 
			 'tbl_logo.logo_status' => '1' */
			);
		$order_by = 'tbl_logo.tbl_logo_id desc';
		$group_by = 'tbl_logo.tbl_logo_id';
		$where_or = $joins = $where_in = null;

		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function post($post_data)
	{
		extract($post_data);
		if(isset($tbl_logo_id) && !empty($tbl_logo_id))
		{
			$table = 'tbl_logo';
			$data = array(  
				'tbl_logo.logo_title' => $logo_title, 
				'tbl_logo.footer_content' => $footer_content, 
				'tbl_logo.logo_images' => $logo_images 
				);
			$where = array(
				'tbl_logo.tbl_logo_id' => $tbl_logo_id
				);

			$this->AdminModel->op_mysql_update($table, $data, $where);
			return 'updated';
		}
		else
		{
			$table = 'tbl_logo';
			$data = array(  
				'tbl_logo.logo_title' => $logo_title, 
				'tbl_logo.footer_content' => $footer_content,
				'tbl_logo.logo_images' => $logo_images 
				);
				
			if($this->AdminModel->op_mysql_insert($table, $data))
				return 'inserted';
		}
	}
	
  
}
?>