<?php
class NewsModel extends CI_Model
{
	function __construct()
	{
		$this->load->database();
		$this->load->model('AdminModel');
	}

	public function content($columns = null)
	{
		$select = !empty($columns) ? $columns : array('tbl_news.*');
		$table = 'tbl_news';
		$order_by = 'tbl_news.tbl_news_id desc';
		$group_by = !empty($columns) ? $columns : 'tbl_news.tbl_news_id';
		$where = $where_or = $where_in = $joins = array(); 
		/* optional - $columns is used some times only - when we want single column record without duplication that time it requires */
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}
	
	public function publish_unpublish_count($status)
	{
		$select = array('count(tbl_news.tbl_news_id) as count');
		$table = 'tbl_news';
		$where = array(
			'tbl_news.news_status' => $status
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where)[0]['count'];
	}

    public function last_created_updated()
    {
      $select = array('max(tbl_news.news_created) as news_created, max(tbl_news.news_updated) as news_updated');
      $table = 'tbl_news';
      $where = array(
        'tbl_news.news_status' => 1
        );
      
      return $this->AdminModel->op_mysql_select($select, $table, $where)[0];
    }

	public function edit($id)
	{
		$select = array('tbl_news.*');
		$table = 'tbl_news';
		$where = array(
			'tbl_news.tbl_news_id' => $id/*, 
			 'tbl_news.news_status' => '1' */
			);
		$order_by = 'tbl_news.tbl_news_id desc';
		$group_by = 'tbl_news.tbl_news_id';
		$where_or = $joins = $where_in = null;

		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function post($post_data)
	{
		extract($post_data);
		if(isset($tbl_news_id) && !empty($tbl_news_id))
		{
			$table = 'tbl_news';
			$data = array(  
				'tbl_news.news_title' => $news_title, 
				'tbl_news.news_date' => $news_date, 
				'tbl_news.newsimage' => $newsimage, 
				'tbl_news.newsdescription' => $newsdescription 
				);
			$where = array(
				'tbl_news.tbl_news_id' => $tbl_news_id
				);

			$this->AdminModel->op_mysql_update($table, $data, $where);
			return 'updated';
		}
		else
		{
			$table = 'tbl_news';
			$data = array(  
				'tbl_news.news_title' => $news_title, 
				'tbl_news.news_date' => $news_date, 
				'tbl_news.newsimage' => $newsimage, 
				'tbl_news.newsdescription' => $newsdescription 
				);
				
			if($this->AdminModel->op_mysql_insert($table, $data))
				return 'inserted';
		}
	}
	
  
}
?>