<?php
class PortfolioModel extends CI_Model
{
	function __construct()
	{
		$this->load->database();
		$this->load->model('AdminModel');
	}

	public function content($columns = null)
	{
		$select = !empty($columns) ? $columns : array('tbl_portfolio.*');
		$table = 'tbl_portfolio';
		$order_by = 'tbl_portfolio.tbl_portfolio_id desc';
		$group_by = !empty($columns) ? $columns : 'tbl_portfolio.tbl_portfolio_id';
		$where = $where_or = $where_in = $joins = array(); 
		/* optional - $columns is used some times only - when we want single column record without duplication that time it requires */
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}
	
	public function publish_unpublish_count($status)
	{
		$select = array('count(tbl_portfolio.tbl_portfolio_id) as count');
		$table = 'tbl_portfolio';
		$where = array(
			'tbl_portfolio.portfolio_status' => $status
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where)[0]['count'];
	}

    public function last_created_updated()
    {
      $select = array('max(tbl_portfolio.portfolio_created) as portfolio_created, max(tbl_portfolio.portfolio_updated) as portfolio_updated');
      $table = 'tbl_portfolio';
      $where = array(
        'tbl_portfolio.portfolio_status' => 1
        );
      
      return $this->AdminModel->op_mysql_select($select, $table, $where)[0];
    }

	public function edit($id)
	{
		$select = array('tbl_portfolio.*');
		$table = 'tbl_portfolio';
		$where = array(
			'tbl_portfolio.tbl_portfolio_id' => $id/*, 
			 'tbl_portfolio.portfolio_status' => '1' */
			);
		$order_by = 'tbl_portfolio.tbl_portfolio_id desc';
		$group_by = 'tbl_portfolio.tbl_portfolio_id';
		$where_or = $joins = $where_in = null;

		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function post($post_data,$imagedata)
	{
		extract($post_data);
		if(isset($tbl_portfolio_id) && !empty($tbl_portfolio_id))
		{
			$table = 'tbl_portfolio';
			$data = array(  
				'tbl_portfolio.portfolio_title' => $portfolio_title, 
				'tbl_portfolio.portfolio_category' => $portfolio_category, 
				'tbl_portfolio.portfolio_subtitle' => $portfolio_subtitle, 
				'tbl_portfolio.portfolio_image' => $portfolio_image, 
				'tbl_portfolio.portfolio_description' => $portfolio_description 
				);
			$where = array(
				'tbl_portfolio.tbl_portfolio_id' => $tbl_portfolio_id
				);

			$this->AdminModel->op_mysql_update($table, $data, $where);
                extract($imagedata);
			    $order='';
                for ($i=0; $i < count($imagedata['totalFiles']); $i++) { 
                 $order=$this->db->select('order_seq')->where('tbl_portfolio_id',$tbl_portfolio_id)->order_by('tbl_portfolio_gallery_id','desc')->limit(1)->get('tbl_portfolio_gallery')->row()->order_seq;
                if(isset($order) && !empty($order)){
                    $order=$order+1;
                }else{
                    
                    $order=$i+1;
                }
               // echo $order;exit;    
                $insert = array('image'=>$imagedata['totalFiles'][$i],'tbl_portfolio_id'=>$tbl_portfolio_id,'order_seq'=>$order);
                $this->db->insert('tbl_portfolio_gallery',$insert);
                }



			return 'updated';
		}
		else
		{
			$table = 'tbl_portfolio';
			$data = array(  
				'tbl_portfolio.portfolio_title' => $portfolio_title, 
				'tbl_portfolio.portfolio_category' => $portfolio_category, 
				'tbl_portfolio.portfolio_subtitle' => $portfolio_subtitle, 
				'tbl_portfolio.portfolio_image' => $portfolio_image, 
				'tbl_portfolio.portfolio_description' => $portfolio_description 
				);
				
			if($tbl_portfolio_id=$this->AdminModel->op_mysql_insert($table, $data)){
			   
			    $order='';
                for ($i=0; $i < count($imagedata['totalFiles']); $i++) { 
                $order=$i+1;
                $insert = array('image'=>$imagedata['totalFiles'][$i],'tbl_portfolio_id'=>$tbl_portfolio_id,'order_seq'=>$order);
                $this->db->insert('tbl_portfolio_gallery',$insert);
                }
			
		
				return 'inserted';
			}
		}
	}
	


		public function get_all_images_content($id)
	{
		$select = array('tbl_portfolio_gallery.*');
		$table = 'tbl_portfolio_gallery';
		$where = array(
			'tbl_portfolio_gallery.tbl_portfolio_id' => $id
		/*	 'tbl_applications.applications_status' => '1' */
			);
		$order_by = 'tbl_portfolio_gallery.tbl_portfolio_id desc';
		// $group_by = 'tbl_portfolio_gallery.tbl_portfolio_id';
		$where_or = $joins = $where_in = null;

		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by);
	}
	

	public function get_category_content()
	{
		$select = array('tbl_category.*');
		$table = 'tbl_category';
		$where = array(
		'tbl_category.status' => '1' 
			);
		$order_by = 'tbl_category.category_id desc';
		// $group_by = 'tbl_portfolio_gallery.tbl_portfolio_id';
		$where_or = $joins = $where_in = null;

		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by);
	}

	
	
	  public function delete_milti($id)
    {
    	$this->db->where('tbl_portfolio_gallery_id',$id);
    	$this->db->delete('tbl_portfolio_gallery');
    }
	
  
}
?>