<?php
class ProductModel extends CI_Model
{
	function __construct()
	{
		$this->load->database();
		$this->load->model('AdminModel');
	}

	public function content($columns = null)
	{
		$select = !empty($columns) ? $columns : array('tbl_product.*');
		$table = 'tbl_product';
		$order_by = 'tbl_product.tbl_product_id desc';
		$group_by = !empty($columns) ? $columns : 'tbl_product.tbl_product_id';
		$where = $where_or = $where_in = $joins = array(); 
		/* optional - $columns is used some times only - when we want single column record without duplication that time it requires */
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}
	
	public function publish_unpublish_count($status)
	{
		$select = array('count(tbl_product.tbl_product_id) as count');
		$table = 'tbl_product';
		$where = array(
			'tbl_product.product_status' => $status
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where)[0]['count'];
	}

    public function last_created_updated()
    {
      $select = array('max(tbl_product.product_created) as product_created, max(tbl_product.product_updated) as product_updated');
      $table = 'tbl_product';
      $where = array(
        'tbl_product.product_status' => 1
        );
      
      return $this->AdminModel->op_mysql_select($select, $table, $where)[0];
    }

	public function edit($id)
	{
		$select = array('tbl_product.*');
		$table = 'tbl_product';
		$where = array(
			'tbl_product.tbl_product_id' => $id/*, 
			 'tbl_product.product_status' => '1' */
			);
		$order_by = 'tbl_product.tbl_product_id desc';
		$group_by = 'tbl_product.tbl_product_id';
		$where_or = $joins = $where_in = null;

		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function post($post_data)
	{
		extract($post_data);
		if(isset($tbl_product_id) && !empty($tbl_product_id))
		{
			$table = 'tbl_product';
			$data = array(  
				'tbl_product.product_title' => $product_title, 
				'tbl_product.product_price' => $product_price, 
				'tbl_product.product_image' => $product_image, 
				'tbl_product.product_description' => $product_description 
				);
			$where = array(
				'tbl_product.tbl_product_id' => $tbl_product_id
				);

			$this->AdminModel->op_mysql_update($table, $data, $where);
			return 'updated';
		}
		else
		{
			$table = 'tbl_product';
			$data = array(  
				'tbl_product.product_title' => $product_title, 
				'tbl_product.product_price' => $product_price, 
				'tbl_product.product_image' => $product_image, 
				'tbl_product.product_description' => $product_description 
				);
				
			if($this->AdminModel->op_mysql_insert($table, $data))
				return 'inserted';
		}
	}
	
  
}
?>