<?php
class RegisterModel extends CI_Model
{
	public function __construct()
	{
		$this->load->database();
	}

	public function post($post_data)
	{
		extract($post_data);
       	//echo "<pre>"; var_dump($post_data); echo "</pre>"; die;
		
		/* update / insert new admin profile */
		$this->db->set('tbl_admin.admin_name', $admin_name);
		$this->db->set('tbl_admin.admin_email', $admin_email);
		$this->db->set('tbl_admin.admin_contact', $admin_contact);
		$this->db->set('tbl_admin.admin_profile', $admin_profile);
		$this->db->set('tbl_admin.admin_type', $admin_type);
		$this->db->set('tbl_admin.admin_key', $admin_key);
		
		if(isset($tbl_admin_id) && !empty($tbl_admin_id))
		{
			$this->db->where('tbl_admin.tbl_admin_id',$tbl_admin_id);
			$this->db->update('tbl_admin');
			
			/* remove old admin permissions entry from database */
		    $this->db->query("delete from tbl_admin_permission where tbl_admin_permission.tbl_admin_id = $tbl_admin_id");
		}
		else
		{	
			$this->db->insert('tbl_admin');
			$tbl_admin_id = $this->db->insert_id();
    	}
    	
    	/* update / insert admin permissions */
    	$page_access = explode(",", $checked_pages);
    	foreach (array_filter($page_access) as $key => $value) 
    	{
        	$this->db->set('tbl_admin_id',$tbl_admin_id);
	    	$this->db->set('admin_permission_name', explode("-",$value)[0]);
	    	$this->db->set('admin_permission_access', explode("-",$value)[1]);
	    	
	    	$this->db->insert('tbl_admin_permission');
	    }
     
		return $tbl_admin_id;		
	}

	public function json_validate_email($tbl_admin_id, $admin_email)
	{
		$this->db->select("tbl_admin.tbl_admin_id");
		$this->db->from("tbl_admin");
		$this->db->where("tbl_admin.admin_email", $admin_email);
		if(!empty($tbl_admin_id))
		$this->db->where("tbl_admin.tbl_admin_id != ".$tbl_admin_id);

		$query = $this->db->get();

		return $query->result_array();	
	}

	public function json_validate_contact($tbl_admin_id, $admin_contact)
	{
		$this->db->select("tbl_admin.tbl_admin_id");
		$this->db->from("tbl_admin");
		$this->db->where("tbl_admin.admin_contact", $admin_contact);
		if(!empty($tbl_admin_id))
		$this->db->where("tbl_admin.tbl_admin_id != ".$tbl_admin_id);
			
		$query = $this->db->get();

		return $query->result_array();	
	}

	public function profile_content($tbl_admin_id)
	{
		$this->db->select("tbl_admin.*");
		$this->db->from("tbl_admin");
		$this->db->where("tbl_admin.tbl_admin_id", $tbl_admin_id);
		$query = $this->db->get();

		return $query->result_array();
	}

	public function profile_content1($tbl_admin_id)
	{
		$this->db->select("tbl_admin.*");
		$this->db->from("tbl_admin");
		$this->db->where("tbl_admin.tbl_admin_id", $tbl_admin_id);
		$query = $this->db->get();

		return $query->result_array();
	}

   	public function edit_admin_info($tbl_admin_id)
	{ 
        $this->db->select("tbl_admin.*, tbl_admin_permission.tbl_admin_permission_id, tbl_admin_permission.admin_permission_name, tbl_admin_permission.admin_permission_access");
		$this->db->from("tbl_admin");
		$this->db->where("tbl_admin.tbl_admin_id",$tbl_admin_id);
	    $this->db->join('tbl_admin_permission', 'tbl_admin.tbl_admin_id = tbl_admin_permission.tbl_admin_id', 'left');
	    $query = $this->db->get();
        return $query->result_array();
	}

    public function admin_content()
	{
		$this->db->select("tbl_admin.*");
		$this->db->from("tbl_admin");
		//$this->db->where("tbl_admin.admin_verification_status", 1);
		$this->db->where("tbl_admin.admin_status", 1);
		$query = $this->db->get();

		return $query->result_array();
	}

	public function set_verification_key($admin_id, $admin_key, $admin_verification_status)
	{
		$this->db->set('tbl_admin.admin_key', $admin_key);
		$this->db->set('tbl_admin.admin_verification_status' , $admin_verification_status);
		$this->db->where('tbl_admin.tbl_admin_id', $admin_id);
		$this->db->update('tbl_admin');

		return $this->db->affected_rows();	
	}

	public function verify_admin($admin_id, $admin_key)
	{
		$this->db->select("tbl_admin.tbl_admin_id");
		$this->db->from("tbl_admin.tbl_admin");
		$this->db->where("tbl_admin.tbl_admin_id",$admin_id);
		$this->db->where("tbl_admin.admin_key",$admin_key);
		$query = $this->db->get();
        
        return $query->result_array();
	}

	public function last_record()
	{
		$this->db->select("tbl_admin.tbl_admin_id");
		$this->db->from("tbl_admin");
		$this->db->order_by("tbl_admin.tbl_admin_id desc");
		$this->db->limit(1);
		$query = $this->db->get();
        
        return $query->result_array()[0]['tbl_admin_id'];
	}
}?>