<?php
class ReportModel extends CI_Model
{
	function __construct()
	{
		$this->load->database();
		$this->load->model('AdminModel');
	}

	public function content($columns = null)
	{
		$select = !empty($columns) ? $columns : array('tbl_product.*', 'tbl_category.category_title');
		$table = 'tbl_product';
		/*$where = array(
			'product_status' => '1'
			);*/
		$order_by = 'tbl_product_id desc';
		$group_by = 'tbl_product_id';
		$where = $where_or = $where_in = $joins = null;
		$joins = array( 
			'tbl_category | tbl_category.tbl_category_id = tbl_product.tbl_category_id | inner' 
		);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function report_search_result($data)
	{
		extract($data);
		//$select = comming from data only;
		$table = 'tbl_order';
		//$where = comming from data only
		$where_or = $where_in = $order_by = $group_by = null;
		$joins = array(
			"tbl_user | tbl_user.tbl_user_id = tbl_order.tbl_user_id",
			"tbl_order_item | tbl_order.tbl_order_id = tbl_order_item.tbl_order_id",
			"tbl_product | tbl_product.tbl_product_id = tbl_order_item.tbl_product_id"
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);	
	}

	public function report_summary_user_content()
	{
		$select = array('count(tbl_user.tbl_user_id) as total_user', 'count(case when tbl_user.user_created > Date_sub(now(), interval 30 day) then tbl_user.tbl_user_id end) as new_user', 'count(tbl_user.tbl_user_id) / TIMESTAMPDIFF(month, min(tbl_user.user_created), max(tbl_user.user_created)) as user_average', 'count(case when tbl_user.user_login > Date_sub(now(), interval 30 day) then tbl_user.tbl_user_id end) as active_user', '(count(case when tbl_user.user_login > Date_sub(now(), interval 30 day) then tbl_user.tbl_user_id end) / count(tbl_user.tbl_user_id) * 100 ) as active_user_per');
		$table = 'tbl_user';
		$where = array(
			'tbl_user.user_status' => '1'
			);
		$order_by = $group_by = $where_or = $where_in = $joins = null;
		
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function report_summary_sales_content()
	{
		$select = array("sum(tbl_order.order_payable_amount) as total_amount", "sum(case when tbl_order.order_paymnet_status  = 'success' then tbl_order.order_payable_amount else 0 end) as income_amount", "(sum(case tbl_order.order_paymnet_status when 'success' then tbl_order.order_payable_amount else 0 end) / sum(tbl_order.order_payable_amount) * 100) as income_amount_per", "sum(case tbl_order.order_paymnet_status when 'pending' then tbl_order.order_payable_amount else 0 end) as in_queue_amount", "(sum(case tbl_order.order_paymnet_status when 'pending' then tbl_order.order_payable_amount else 0 end) / sum(tbl_order.order_payable_amount) * 100) as in_queue_amount_per", "sum(case when tbl_order.order_paymnet_status != 'success' and tbl_order.order_paymnet_status != 'pending' then tbl_order.order_payable_amount else 0 end) as drop_off_amount", "(sum(case when tbl_order.order_paymnet_status != 'success' and tbl_order.order_paymnet_status != 'pending' then tbl_order.order_payable_amount else 0 end) / sum(tbl_order.order_payable_amount) * 100) as drop_off_amount_per");
		$table = 'tbl_order';
		$where = array(
			'tbl_order.order_status' => '1'
			);
		$order_by = $group_by = $where_or = $where_in = $joins = null;
		
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function report_summary_order_content()
	{
		$select = array("count(tbl_order.tbl_order_id) as total_order", "count(case when tbl_order.order_delivery_status = 'success' then tbl_order.tbl_order_id end) as success_order", "(count(case tbl_order.order_delivery_status when 'success' then tbl_order.tbl_order_id end) / count(tbl_order.tbl_order_id) * 100) as success_order_per", "count(case tbl_order.order_delivery_status when 'pending' then tbl_order.tbl_order_id end) as in_queue_order", "(count(case tbl_order.order_delivery_status when 'pending' then tbl_order.tbl_order_id end) / count(tbl_order.tbl_order_id) * 100) as in_queue_order_per", "count(case when tbl_order.order_delivery_status != 'success' and tbl_order.order_delivery_status != 'pending' then tbl_order.tbl_order_id end) as drop_off_order", "(count(case when tbl_order.order_delivery_status != 'success' and tbl_order.order_delivery_status != 'pending' then tbl_order.tbl_order_id end) / count(tbl_order.tbl_order_id) * 100) as drop_off_order_per");
		$table = 'tbl_order';
		$where = array(
			'tbl_order.order_status' => '1'
			);
		$order_by = $group_by = $where_or = $where_in = $joins = null;
		
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function report_top_purchase_content()
	{
		$select = array("tbl_product.tbl_product_id", "tbl_product.product_name", "count(tbl_product.tbl_product_id) as orders", "sum(tbl_order_item.order_item_product_quantity) as sales", "tbl_order.order_created", "tbl_order.order_paymnet_status");
		$table = 'tbl_product';
		$where = array(
			'tbl_order.order_paymnet_status' => 'success',
			'tbl_order.order_delivery_status' => 'success',
			'tbl_order.order_status' => '1'
			);
		$where_or = $where_in = $joins = null;
		$order_by = "orders desc, sales desc";
		$group_by = "tbl_product.tbl_product_id";
		$joins = array(
			"tbl_order_item | tbl_product.tbl_product_id = tbl_order_item.tbl_product_id",
			"tbl_order | tbl_order.tbl_order_id = tbl_order_item.tbl_order_id"
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}

	public function report_top_user_content()
	{
		$select = array("count(tbl_order.tbl_order_id) as total_orders", "sum(tbl_order.order_payable_amount) as order_amount", "tbl_user.tbl_user_id", "tbl_user.user_first_name", "tbl_user.user_last_name", "DATE_FORMAT(tbl_order.order_created, '%M, %Y') as order_created");
		$table = 'tbl_user';
		$where = array(
			'tbl_order.order_paymnet_status' => 'success',
			'tbl_order.order_delivery_status' => 'success',
			'tbl_user.user_status' => '1',
			'tbl_order.order_status' => '1'
			);
		$where_or = $where_in = $joins = null;
		$order_by = "total_orders desc, tbl_order.order_created";
		$group_by = "tbl_user.tbl_user_id";
		$joins = array(
			"tbl_order | tbl_user.tbl_user_id = tbl_order.tbl_user_id"
			);
		
		return $this->AdminModel->op_mysql_select($select, $table, $where, $where_or, $where_in, $joins, $order_by, $group_by);
	}
}
?>