<?php 
class HomeModel extends CI_Model
{
  function __construct()
  {
    $this->load->database();
  }

  /* This method not required every time... continue with this method few cases only */
  public function index_content()
  {
      /* header content*/
      /* footer content */
      /* index page content */
  }

  /* URL rewriting - it removes the special characters from URL string */
  function clean_url($string) 
  {
      $string = str_replace(' ', '-', $string);
      return preg_replace('/[^A-Za-z0-9\-]/', '', $string); 
  }

  /* encryption - returns encrypted string - user for URL rewriting */
  function encrypt($string) 
  {
      $method = 'AES-128-CBC';
      $key = 'Nh83aQK'; //'encryption key';
      $iv = '3n0cDngeXhr9tk0V'; //'1234567812345678';
      return bin2hex(openssl_encrypt($string, $method, $key, 0, $iv));
  }

  /* decryption - return decrypted original string | used for URL rewriting */
  function decrypt($string)
  {
      $method = 'AES-128-CBC';
      $key = 'Nh83aQK'; //'encryption key';
      $iv = '3n0cDngeXhr9tk0V'; //'1234567812345678';
      return openssl_decrypt(hex2bin($string), $method, $key, 0, $iv);
  }
  
  /* SQL query user defined functions*/

  /*
  select - array / string
  table - string
  where - array / string
  orwhere - array / string
  order_by - string
  group_by - string
  joins - array / string
  = array('tbl_pages | tbl_columns.tbl_pages_id = tbl_pages.tbl_pages_id | inner', 'tbl_projects | tbl_pages.tbl_projects_id = tbl_projects.tbl_projects_id | inner');
  = 'tbl_pages | tbl_columns.tbl_pages_id = tbl_pages.tbl_pages_id | inner';
  like - array / string  - array('col' => 'val') or array('col' => array('val','after/before'))
  orlike - array / string - array('col' => 'val') or array('col' => array('val','after/before'))
  limit - string / int
  offset - int / string
  having - array / string
  */
  public function op_mysql_select($select, $table, $where = null, $orwhere = null, $where_in = null, $joins = null, $order_by = null, $group_by = null, $like = null, $orlike = null, $limit = null, $offset = null, $having = null)
  {   
      $this->db->select($select);
      if(isset($joins) && !empty($joins))
      {
          if(is_array($joins))
          {  
              foreach($joins as $join)
              {
                  $join = explode('|', $join);
                  if(count($join) == 3)
                      $this->db->join($join[0], $join[1], $join[2]);
                  if(count($join) == 2)
                      $this->db->join($join[0], $join[1]);
              }
          }
          else 
          {
              $join = explode('|', $joins);
              if(count($join) == 3)
                  $this->db->join($join[0], $join[1], $join[2]);
              if(count($join) == 2)
                  $this->db->join($join[0], $join[1]);
          }
      }
      if(isset($where) && !empty($where))
          $this->db->where($where);
      if(isset($orwhere) && !empty($orwhere))
          $this->db->or_where($orwhere);
      if(isset($where_in) && !empty($where_in))
          $this->db->where_in($where_in);
      
      $like_flag = true;
      if(isset($like) && !empty($like))
      {
        foreach($like as $like_key => $like_value)
        {
          if(is_array($like_value))
          {
            $like_flag = false;
            $this->db->like($like_key, $like_value[0], $like_value[1]);
          }
        }
      }
      if($like_flag && isset($like) && !empty($like))
          $this->db->like($like);

      $or_like_flag = true;
      if(isset($orlike) && !empty($orlike))
      {
        foreach($orlike as $orlike_key => $orlike_value)
        {
          if(is_array($orlike_value))
          {
            $or_like_flag = false;
            $this->db->or_like($orlike_key, $orlike_value[0], $orlike_value[1]);
          }
        }
      }  
      if($or_like_flag && isset($orlike) && !empty($orlike))
          $this->db->or_like($orlike);
      
      if(isset($group_by) && !empty($group_by))
          $this->db->group_by($group_by);
      if(isset($order_by) && !empty($order_by))
          $this->db->order_by($order_by);
      if(isset($having) && !empty($having))
          $this->db->having($having);
      
      $query = $this->db->get($table, $limit, $offset);
      return $query->result_array();
  }

  /*
  table - string
  data - array / string
  */
  public function op_mysql_insert($table, $data)
  {   
    if(isset($data) && !empty($data))
      $this->db->insert($table, $data);
    return $this->db->insert_id();
  }

  /*
  table - string
  set - array / string
  where - array / string
  */
  public function op_mysql_update($table, $set, $where = null)
  {
    if(isset($where) && !empty($where))
      $this->db->where($where);
      if(isset($set) && !empty($set))
      $this->db->update($table, $set);

    return $this->db->affected_rows();
  }

  /*
  table - string
  where - array / string
  */
  public function op_mysql_delete($table, $where = null)
  {   
    if(isset($where) && !empty($where))
      $this->db->where($where);
      $this->db->delete($table);
      
      return $this->db->affected_rows();
  }

  /*
  smtp - send mail
  */
  public function send_mail($from, $to, $cc='', $bcc='', $name, $subject, $message, $attachment = null)
  {
    //echo $from.', '.$to.', '.$name.', '.$subject.', '.$message; //die;
    		
	$contact_logo = base_url().'assets/images/logo.png';
	$contact_logo_alternate = 'ingenious-logo';
	$contact_office = 'ingenious';
	$contact_email = 'info-ingenious@gmail.com';
	$contact_telephone = '1-844-358-1023';
	$contact_website = 'http://www.ingenious.com';
	
	$this->load->model('ContactModel');
	$contact_content = $this->ContactModel->contact_content();
	if(!empty($contact_content))
	{
		if(isset($contact_content['contact_logo']) && !empty($contact_content['contact_logo']))
			$contact_logo = base_url().'../upload/contact/'.$contact_content['contact_logo'];

		if(isset($contact_content['contact_logo_alternate']) && !empty($contact_content['contact_logo_alternate']))
			$contact_logo_alternate = $contact_content['contact_logo_alternate'];

		if(isset($contact_content['contact_office']) && !empty($contact_content['contact_office']))
			$contact_office = $contact_content['contact_office'];

		if(isset($contact_content['contact_email']) && !empty($contact_content['contact_email']))
			$contact_email = $contact_content['contact_email'];

		if(isset($contact_content['contact_telephone']) && !empty($contact_content['contact_telephone']))
			$contact_telephone = $contact_content['contact_telephone'];

		if(isset($contact_content['contact_website']) && !empty($contact_content['contact_website']))
			$contact_website = $contact_content['contact_website'];
	}
		
	$profile_message ='<br><br>-----'."\r\n";
	$profile_message.='<p>If you have any questions or trouble on please contact us at <a href="'.base_url().'">ingenious</a><br/>'."\r\n";
	$profile_message.='Website : <a href="'.$contact_website.'">'.$contact_website.'</a> <br/> Contact : '.$contact_telephone.' <br/> Email : '.$contact_email.' <br/><br/> Thank You <br/><br/><b> '.$contact_office.' | Support Services</b> <br/>';
	$profile_message.= '<a href="'.base_url().'"><img style="width:30%" src="'.$contact_logo.'" alt="'.$contact_logo_alternate.'"></a>';
	$profile_message.='<hr/><i>* The location is approximate and determined by the IP address it was coming from.</i>'."\r\nThis email can't receive replies.";
	$profile_message.=''."\r\n"; 

    $config = Array(
                    'protocol' => 'smtp',
                    'smtp_host' => 'ssl://smtp.googlemail.com',
                    'smtp_port' => 465,
                    'smtp_user' => 'email@gmail.com',
                    'smtp_pass' => 'pass',
                );
    $this->load->library('email', $config);
    //$this->load->library('email');
    $this->email->set_mailtype('html');
    $this->email->from('no-reply@oysterwebtesting.in', $name);
    $this->email->to($to);
    $this->email->reply_to($from);
    if(!empty($cc))
      $this->email->cc($cc);
    if(!empty($bcc))
      $this->email->bcc($bcc);

    $this->email->subject($subject);
    $this->email->message($message . $profile_message);

    if(!empty($attachment))
      $this->email->attach($attachment,'image/jpeg/pdf');
    
    return $this->email->send();
  }
}
  ?>